scala.collection.convert

# DecorateAsScala

#### trait DecorateAsScala extends AnyRef

Source
  DecorateAsScala.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
JavaConverters
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DecorateAsScala
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DecorateAsScala to any2stringadd[DecorateAsScala] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (DecorateAsScala, B)

   Implicit information
     This member is added by an implicit conversion from DecorateAsScala to ArrowAssoc[DecorateAsScala] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### implicit def asScalaBufferConverter[A](l: java.util.List[A]): Decorators.AsScala[Buffer[A]]

   Adds an `asScala` method that implicitly converts a Java `List` to a Scala mutable `Buffer`.

   Adds an `asScala` method that implicitly converts a Java `List` to a Scala mutable `Buffer`.

   The returned Scala `Buffer` is backed by the provided Java `List` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

   If the Java `List` was previously obtained from an implicit or explicit call of `asList(scala.collection.mutable.Buffer)` then the original Scala `Buffer` will be returned.

   l

     The `List` to be converted.

   returns

     An object with an `asScala` method that returns a Scala mutable `Buffer` view of the argument.

8. #### implicit def asScalaIteratorConverter[A](i: java.util.Iterator[A]): Decorators.AsScala[Iterator[A]]

   Adds an `asScala` method that implicitly converts a Java `Iterator` to a Scala `Iterator`.

   Adds an `asScala` method that implicitly converts a Java `Iterator` to a Scala `Iterator`.

   The returned Scala `Iterator` is backed by the provided Java `Iterator` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

   If the Java `Iterator` was previously obtained from an implicit or explicit call of `asIterator(scala.collection.Iterator)` then the original Scala `Iterator` will be returned.

   i

     The `Iterator` to be converted.

   returns

     An object with an `asScala` method that returns a Scala `Iterator` view of the argument.

9. #### implicit def asScalaSetConverter[A](s: java.util.Set[A]): Decorators.AsScala[mutable.Set[A]]

   Adds an `asScala` method that implicitly converts a Java `Set` to a Scala mutable `Set`.

   Adds an `asScala` method that implicitly converts a Java `Set` to a Scala mutable `Set`.

   The returned Scala `Set` is backed by the provided Java `Set` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

   If the Java `Set` was previously obtained from an implicit or explicit call of `asSet(scala.collection.mutable.Set)` then the original Scala `Set` will be returned.

   s

     The `Set` to be converted.

   returns

     An object with an `asScala` method that returns a Scala mutable `Set` view of the argument.

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### implicit def collectionAsScalaIterableConverter[A](i: Collection[A]): Decorators.AsScala[Iterable[A]]

    Adds an `asScala` method that implicitly converts a Java `Collection` to an Scala `Iterable`.

    Adds an `asScala` method that implicitly converts a Java `Collection` to an Scala `Iterable`.

    If the Java `Collection` was previously obtained from an implicit or explicit call of `asCollection(scala.collection.SizedIterable)` then the original Scala `SizedIterable` will be returned.

    i

      The `Collection` to be converted.

    returns

      An object with an `asScala` method that returns a Scala `SizedIterable` view of the argument.

12. #### implicit def dictionaryAsScalaMapConverter[A, B](p: Dictionary[A, B]): Decorators.AsScala[mutable.Map[A, B]]

    Adds an `asScala` method that implicitly converts a Java `Dictionary` to a Scala mutable `Map[String, String]`.

    Adds an `asScala` method that implicitly converts a Java `Dictionary` to a Scala mutable `Map[String, String]`. The returned Scala `Map[String, String]` is backed by the provided Java `Dictionary` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    p

      The `Dictionary` to be converted.

    returns

      An object with an `asScala` method that returns a Scala mutable `Map[String, String]` view of the argument.

13. #### def ensuring(cond: (DecorateAsScala) ⇒ Boolean, msg: ⇒ Any): DecorateAsScala

    Implicit information
      This member is added by an implicit conversion from DecorateAsScala to Ensuring[DecorateAsScala] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (DecorateAsScala) ⇒ Boolean): DecorateAsScala

    Implicit information
      This member is added by an implicit conversion from DecorateAsScala to Ensuring[DecorateAsScala] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): DecorateAsScala

    Implicit information
      This member is added by an implicit conversion from DecorateAsScala to Ensuring[DecorateAsScala] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): DecorateAsScala

    Implicit information
      This member is added by an implicit conversion from DecorateAsScala to Ensuring[DecorateAsScala] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### implicit def enumerationAsScalaIteratorConverter[A](i: java.util.Enumeration[A]): Decorators.AsScala[Iterator[A]]

    Adds an `asScala` method that implicitly converts a Java `Enumeration` to a Scala `Iterator`.

    Adds an `asScala` method that implicitly converts a Java `Enumeration` to a Scala `Iterator`.

    The returned Scala `Iterator` is backed by the provided Java `Enumeration` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Enumeration` was previously obtained from an implicit or explicit call of `asEnumeration(scala.collection.Iterator)` then the original Scala `Iterator` will be returned.

    i

      The `Enumeration` to be converted.

    returns

      An object with an `asScala` method that returns a Scala `Iterator` view of the argument.

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from DecorateAsScala to StringFormat[DecorateAsScala] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### implicit def iterableAsScalaIterableConverter[A](i: java.lang.Iterable[A]): Decorators.AsScala[Iterable[A]]

    Adds an `asScala` method that implicitly converts a Java `Iterable` to a Scala `Iterable`.

    Adds an `asScala` method that implicitly converts a Java `Iterable` to a Scala `Iterable`.

    The returned Scala `Iterable` is backed by the provided Java `Iterable` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Iterable` was previously obtained from an implicit or explicit call of `asIterable(scala.collection.Iterable)` then the original Scala `Iterable` will be returned.

    i

      The `Iterable` to be converted.

    returns

      An object with an `asScala` method that returns a Scala `Iterable` view of the argument.

26. #### implicit def mapAsScalaConcurrentMapConverter[A, B](m: ConcurrentMap[A, B]): Decorators.AsScala[concurrent.Map[A, B]]

    Adds an `asScala` method that implicitly converts a Java `ConcurrentMap` to a Scala mutable `concurrent.Map`.

    Adds an `asScala` method that implicitly converts a Java `ConcurrentMap` to a Scala mutable `concurrent.Map`. The returned Scala `concurrent.Map` is backed by the provided Java `ConcurrentMap` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `ConcurrentMap` was previously obtained from an implicit or explicit call of `mapAsScalaConcurrentMap(scala.collection.mutable.ConcurrentMap)` then the original Scala `concurrent.Map` will be returned.

    m

      The `ConcurrentMap` to be converted.

    returns

      An object with an `asScala` method that returns a Scala mutable `concurrent.Map` view of the argument.

27. #### implicit def mapAsScalaMapConverter[A, B](m: java.util.Map[A, B]): Decorators.AsScala[mutable.Map[A, B]]

    Adds an `asScala` method that implicitly converts a Java `Map` to a Scala mutable `Map`.

    Adds an `asScala` method that implicitly converts a Java `Map` to a Scala mutable `Map`. The returned Scala `Map` is backed by the provided Java `Map` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Map` was previously obtained from an implicit or explicit call of `asMap(scala.collection.mutable.Map)` then the original Scala `Map` will be returned.

    If the wrapped map is synchronized (e.g. from `java.util.Collections.synchronizedMap`), it is your responsibility to wrap all non-atomic operations with `underlying.synchronized`. This includes `get`, as `java.util.Map`'s API does not allow for an atomic `get` when `null` values may be present.

    m

      The `Map` to be converted.

    returns

      An object with an `asScala` method that returns a Scala mutable `Map` view of the argument.

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### implicit def propertiesAsScalaMapConverter(p: Properties): Decorators.AsScala[mutable.Map[String, String]]

    Adds an `asScala` method that implicitly converts a Java `Properties` to a Scala mutable `Map[String, String]`.

    Adds an `asScala` method that implicitly converts a Java `Properties` to a Scala mutable `Map[String, String]`. The returned Scala `Map[String, String]` is backed by the provided Java `Properties` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    p

      The `Properties` to be converted.

    returns

      An object with an `asScala` method that returns a Scala mutable `Map[String, String]` view of the argument.

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### def →[B](y: B): (DecorateAsScala, B)

    Implicit information
      This member is added by an implicit conversion from DecorateAsScala to ArrowAssoc[DecorateAsScala] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DecorateAsScala to any2stringadd[DecorateAsScala]

### Inherited by implicit conversion StringFormat from DecorateAsScala to StringFormat[DecorateAsScala]

### Inherited by implicit conversion Ensuring from DecorateAsScala to Ensuring[DecorateAsScala]

### Inherited by implicit conversion ArrowAssoc from DecorateAsScala to ArrowAssoc[DecorateAsScala]

### Ungrouped